Skip to content

Transaction Detail

| View as Markdown

This API to get transaction details of a specific transaction. We must pass merchant id, terminal id, unique id, and reference id : used to identify the specific transaction in request. If the request has valid details, we will get all the details like status code, amount, order id, mobile, invoice no etc in response.

https://kraken.airpay.co.in/airpay/ms/pos/api/transaction-detail
FieldDescription
content-typeapplication/x-www-form-urlencoded (required)
FieldTypeDescription
mercidStringMerchant Id (length 1-12, required)
terminalidStringIt is device specific.One device have only one Terminal ID. ( required)
uniqueidStringUnique ID is a unique identifier and have unique value (length 4-10, required)
referenceidStringReference ID is orderid (required)
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/pos/api/transaction-detail' \
--header 'content-type: application/x-www-form-urlencoded' \
--data-urlencode 'terminalid=00008582' \
--data-urlencode 'mercid=71234' \
--data-urlencode 'uniqueid=000648'\
--data-urlencode 'referenceid=4000411027'
FieldTypeDescription
statusNumberStatus Code
uniqueidNumberUnique id of the transaction
mercidNumberMerchant id
amountNumberTransaction amount
orderidNumberTransaction order id
mobileNumberMobile number used for the transaction
customvarStringAny information passed in the request, which can be received in the response exactly as it was sent. We can pass multiple data in ‘CustomVar’ separated by the '
posmodeNumberOne of the transaction modes in POS like Authorization,Sale Completion etc.
invoicenoNumberInvoice number
editamountNumberEdit amount can have values 0,1. 1- User can change the amount, 0-User would not be able to change the amount.
HTTP/1.1 200 OK
"200||012686|71234|1.01|000648|9046207157||01|||||1"
{
"status": 500,
"message": []
}